ByteArrayParameter Class Reference

Used to pass byte array input as part of a NameValuePairs object. More...

`#include <algparam.h>`

## Public Member Functions

| ByteArrayParameter (byte *data=NULL, unsigned int size=0)
| Construct a ByteArrayParameter.
| ByteArrayParameter (SecByteBlock &block)
| Construct a ByteArrayParameter.
byte * | begin () const
| Pointer to the first byte in the memory block.
byte * | end () const
| Pointer beyond the last byte in the memory block.
size_t | size () const
| Length of the memory block.

## Detailed Description

Used to pass byte array input as part of a NameValuePairs object.

Definition at line 98 of file algparam.h.

## Constructor & Destructor Documentation

## ByteArrayParameter() [1/2]

ByteArrayParameter::ByteArrayParameter | ( | byte * | data = NULL,
|  | unsigned int | size = 0 )

inline

Construct a ByteArrayParameter.

Parameters

  data | a memory buffer
  size | the length of the memory buffer

Definition at line 104 of file algparam.h.

## ByteArrayParameter() [2/2]

ByteArrayParameter::ByteArrayParameter | ( | SecByteBlock & | block | ) |

inline

Construct a ByteArrayParameter.

Parameters

  block | a SecByteBlock

Definition at line 109 of file algparam.h.

## Member Function Documentation

## begin()

byte * ByteArrayParameter::begin | ( |  | ) | const

inline

Pointer to the first byte in the memory block.

Definition at line 113 of file algparam.h.

## end()

byte * ByteArrayParameter::end | ( |  | ) | const

inline

Pointer beyond the last byte in the memory block.

Definition at line 115 of file algparam.h.

## size()

size_t ByteArrayParameter::size | ( |  | ) | const

inline

Length of the memory block.

Definition at line 117 of file algparam.h.

The documentation for this class was generated from the following file:

- algparam.h